Figure - Bug #112554

Bug # 111192 (CLOSED): O Figured 0 EVT30 O EEC O 0O 0O O O 10 60 O O Performanced

service and HAL crop

2022-10-1316:09 - CD SYSTEM-O O O

Status: CLOSED Start date: 2022-10-13
Priority: Normal Due date:

Assignee: CDTS_TESTO O % Done: 100%
Category: SYSTEM Estimated time: 0.00 hour
Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: - Found Version: every version
Resolution: - Degrated: -

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Free Test Root cause:

Description

gbooooooooboobo

1qvrd
2 sxrd
3 android.hardware.light

4 android.hardware.camera.provider

History

#1-2022-10-2011:21 - CDSYSTEM-O O O
- Status changed from New to ASSIGNED
- % Done changed from 0 to 100

gooooooveOoOd

https://dev.thundercomm.com/gerrit/c/152942

https://dev.thundercomm.com/gerrit/c/156625

#2 - 2022-10-24 15:38 - CD SYSTEM-O O O

crop the camera provider servicel

https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/gcom/proprietary/+/156863

crop the lights service(l

https://dev.thundercomm.com/gerrit/c/general/platform/hardware/interfaces/+/154265

#3 - 2022-10-24 16:37 - CDSYSTEM-O O O
- Status changed from ASSIGNED to RESOLVED
- Assignee changed from CD SYSTEM-0 0O O to CDTS_TEST O O

goDooOoo200pBOO00ODO0O

checkD OO OO
1adb logcat -b all > .txt

20 0 00O LixtO O camera.providerd android.hardware.lightC O 0O O O
https://dev.thundercomm.com/gerrit/c/152942
https://dev.thundercomm.com/gerrit/c/156625
https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/qcom/proprietary/+/156863
https://dev.thundercomm.com/gerrit/c/general/platform/hardware/interfaces/+/154265

#4 - 2022-10-26 14:46 - CD SYSTEM-O O O
- Category set to SYSTEM

#5 - 2022-10-28 10:19 - CDTS_TEST O O
- Assignee changed from CDTS_TESTO O toOD O OO OO _CDTSOO

#6-2022-10-2816:53-0 00000 _CDTSO O
- Status changed from RESOLVED to VERIFY_FAILED
- Assignee changed from0 0 0 00 0 _CDTSO O toCD SYSTEM-O O O

goooo
00 0 0 01.00.X101_20221028_private_user

11255401 service and HAL crop

figure:/ $ ps -A | grep camera.provider

1|figure:/ $ ps -A | grep hardware.light

system 818 113035952 48720 0 S android.hardware.lights-service.qti
0 0 0 00 O O android.hardware.lights-service.qti

#7 - 2022-11-02 13:52 - CDTS-TEST O O

- Target version set to VX1_MCE_FSE_V3.0_update_20221115

#8 - 2022-11-03 14:13 - CD SYSTEM-0O O O

- Status changed from VERIFY_FAILED to RESOLVED

0 O O android.hardware.lights-service.qti service

https://dev.thundercomm.com/gerrit/c/general/device/qcom/vendor-common/+/159912

#9 - 2022-11-03 17:46 - CD SYSTEM-O O O
- Assignee changed from CD SYSTEM-0O O O to CDTS_TEST O O

oooooooooo
/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-lal.1-gssil2-dev/20221103/202211031415-2097

#10 - 2022-11-1016:09 - CDTS_TEST O O
- File logcat.txt added

0 HWO EVT2-VX1

0 swO /Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-lal.1-gssi12-dev/20221103/202211031415-2097
gooooo

1.DuTo OO0

200000000

figure:/ $ ps -A | grep camera.provider

figure:/ $ ps -A | grep hardware.light

gooooo
https://dev.thundercomm.com/gerrit/c/general/device/qcom/vendor-common/+/159912

200000

goooogao

goooooooveOOOOOO

#11 - 2022-11-10 16:10 - CDTS_TEST O O

- Assignee changed from CDTS_TEST O O to CD SYSTEM-0O O O

#12 - 2022-11-17 16:05 - CD SYSTEM-0O O

- Assignee changed from CD SYSTEM-[0 0 0 to CDTS_TEST O O

gooooooooooobpBOOOO

https://dev.thundercomm.com/gerrit/c/general/device/qcom/vendor-common/+/159912

#13 - 2022-11-18 16:13 - CD SYSTEM-0O O

HiOO

000000 patch O O O O android.hardware.lightD) O O O O android.hardware.sensor.lightU D O 00000 O00ODBOODOO

Thanks

#14 - 2022-11-18 16:31 - CDTS_TEST O O
- Status changed from RESOLVED to VERIFIED

0 HWO EVT2-VX1

0 SWO FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202211181428
gooooo

1L.DUTO OO0

200000000

figure:/ $ ps -A | grep camera.provider

figure:/ $ ps -A | grep hardware.light

gooooo

figure:/ $ ps -A | grep hardware.light

system 858 112941744 49840 0 S android.hardware.lights-service.qti
figure:/ $ ps -A | grep camera.provider 0 O 0 0 O

oooooozo
gboooooooubboOoOoooo

#15 - 2022-11-18 17:07 - CDTS_TEST O O

- Status changed from VERIFIED to CLOSED

#16 - 2022-12-22 20:41 - CD Fw-0O O

Gerrit Merge Information(]

1D Project

Branch

Uploader

154265 general/platform/hardware/interfaces

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

gongyz1203@thundersoft.com
https://dev.thundercomm.com/gerrit/c/general/device/qcom/vendor-common/+/159912

SYSTEM: crop lights servicel. crop the lights service when there is no LEDs hardware. TC-RID: 1200-0800201IssuelD: TS-R-BUG-112554Change-1d:
lafc26a88728b01bal188f3440b01174e014ad95e9

#17 - 2022-12-22 20:45 - CD Fw-0O O

Gerrit Merge Information(]

1D Project Branch Uploader
156863 general/LINUX/android/vendor/qco | Pre_figure_turbox-c2130c-lal.1-vendo | gongyz1203@thundersoft.com
m/proprietary r-dev

SYSTEM: crop camera.provider servicel. crop the camera.provider service when there is no camera hardware. TC-RID: 1200-08002011ssuelD:
TS-R-BUG-112554Change-1d: 151113b1639e64b863c10f611a76b21c65f1cc270

#18 - 2022-12-22 20:53 - CD FW-0 O

Gerrit Merge Informationd

1D Project Branch Uploader
163747 general/device/qcom/vendor-commo | Pre_figure_turbox-c2130c-lal.1-vendo | xiao.yu@thundersoft.com
n r-dev

Revert "YSTEM: crop lights-qti service” This reverts commit 1a719f26397b1fe389c9640d9d4b257e53a836aa.Reason for revert: System can't startTC-RID:
1200-0800201IssuelD: TS-R-BUG-112554Change-Id: 1d3f4dbbe74209e05b9a3e07¢c38388608aa26ea09

Files

logcat.txt 2.06 MB 2022-11-10 CDTS_TESTO O
